# Redis on Kubernetes as Deployment

Создаем одиночный инстанс Redis, без кластера. Заменили StatefulSet на Deployment чтобы при падении Node под переезжал на другую. 

## Prerequisites

This example assumes that you have a Kubernetes cluster installed and running,
and that you have installed helm

### Replicas

    replicas: 1

### Redis access password

    AuthPass: ""

### Redis resourse limit

    resources:
       requests:
         cpu: 100m
         memory: 1Gi
       limits:
         cpu: 100m
         memory: 1.2Gi

### Storage Class

Use only CephFS

    storageSpec:
      storageClassName: cephfs-provisioner
      accessModes:
        - ReadWriteOnce
      resources:
        requests:
        storage: 1Gi

## Running

To get your cluster up and running simple run:

`helm inspect sb/redis >values.yaml`

edit values.yaml

`helm upgrade --install redis --values values.yaml --namespace redis sb/redis`

The cluster will automatically bootstrap itself.

### Caveats

Your pods may not show up in the dashboard. This is because we automatically add
additional labels to the pods to recognize the master. To see the pods within the
dashboard you should look at the redis-nodes service instead.
